Bug 1295728 - Uncaught exception occurred when trying to open console if multiple VMs is selected
Uncaught exception occurred when trying to open console if multiple VMs is se...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.3
: 3.6.3
Assigned To: Tal Nisan
Shira Maximov
:
Depends On:
Blocks: 1051388
  Show dependency treegraph
 
Reported: 2016-01-05 06:02 EST by Shira Maximov
Modified: 2016-02-18 06:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:12:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: planning_ack+
michal.skrivanek: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51372 master MERGED webadmin: Show correct error message when can't connect to VM 2016-01-05 08:39 EST
oVirt gerrit 51379 ovirt-engine-3.6 MERGED webadmin: Show correct error message when can't connect to VM 2016-01-05 09:43 EST

  None (edit)
Description Shira Maximov 2016-01-05 06:02:30 EST
Description of problem:
selecting 2 VMs : one in up status and one in suspend status.
and Trying to open console 

Uncaught exception occurred. Please try reloading the page. Details: (TypeError) __gwt$exception: <skipped>: a.e is undefined

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.6.2-0.1.el6 

How reproducible:
100%

Steps to Reproduce:
1.select 2 vms that one in up status and the other is in suspend status.
2. right click -> console
3.

Actual results:
uncaught exception

Expected results:
uncaught exception should not appear (and console should open only for the up VM)

Additional info:
The error in inspect element: 

Tue Jan 05 12:28:59 GMT+200 2016 
SEVERE: Uncaught exception: com.google.gwt.core.client.JavaScriptException: (TypeError) 
 __gwt$exception: <skipped>: a.e is undefined
	at Unknown.fAo(Unknown Source)
	at Unknown.cOo(Unknown Source)
	at Unknown.hOo(Unknown Source)
	at Unknown.EPo(Unknown Source)
	at Unknown.tml(Unknown Source)
	at Unknown.Ojl(Unknown Source)
	at Unknown.Yjl(Unknown Source)
	at Unknown.Ohl(Unknown Source)
	at Unknown.ogf(Unknown Source)
	at Unknown.Ju(Unknown Source)
	at Unknown.zu(Unknown Source)
	at Unknown.bu(Unknown Source)
	at Unknown.au(Unknown Source)
	at Unknown._t/<(Unknown Source)
	at Unknown.anonymous(Unknown Source)

The symbol map of fAo  :
,org.ovirt.engine.ui.uicommonweb.models.VmConsolesImpl::$connect(Lorg/ovirt/engine/ui/uicommonweb/models/VmConsolesImpl;)V,org.ovirt.engine.ui.uicommonweb.models.VmConsolesImpl,$connect,org/ovirt/engine/ui/uicommonweb/models/VmConsolesImpl.java,13,0
Comment 1 Tal Nisan 2016-01-05 07:07:56 EST
Targeting to 3.6.2 as it's a bug caused after a a change in 3.6 allowed the action to run and can most likely not cause a regression
Comment 2 Shira Maximov 2016-01-31 06:21:46 EST
verified on :  Red Hat Enterprise Virtualization Manager Version: 3.6.3-0.1.el6 
verification steps: 

1.select 2 vms that one in up status and the other is in suspend status.
2. right click -> console - see that is no Uncaught exception

Note You need to log in before you can comment on or make changes to this bug.